import { IDrawData, ICanvas, IParams, IEventHandlers, IHoverRenderData } from './types';
export declare function subscriber<P extends IDrawData, O extends IEventHandlers>(params: Readonly<IParams<P, O>>): (event: string, func: ((params: Readonly<IParams<P, O>>) => void) | undefined, callback: Function | undefined) => () => void | undefined;
export declare function setupEvents<P extends IDrawData, O extends IEventHandlers & ICanvas>(params: Readonly<IParams<P, O>>, drawFunc: (params: Readonly<IParams<P, O>>) => void, getData: () => IHoverRenderData<P>): () => void;
